petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestGetAdaptivityForest

Get the forest from which the current forest is adapted.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivityForest(DM dm, DM *adapt)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

adapt -the forest from which dm is/was adapted

### See Also

DMForestSetAdaptivityForest(), DMForestSetAdaptivityPurpose()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages